Archived docs.You are viewing v0.13.0. For current guidance, useLatest. Report archive issues onGitHub.
Return the liveness probe
GET
/healthz
const url = 'https://example.com/healthz';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/healthzResponses
Section titled “Responses”Service process is alive
Media typeapplication/json
Example
{ "checks": { "degraded": 0, "failed": 0, "ok": 1, "total": 1 }, "status": "ok"}Client error
Media typeapplication/problem+json
object
code
required
string
detail
required
string
request_id
required
string
status
required
integer format: int32
title
required
string
type
required
string format: uri
key
additional properties
any
Example
{ "code": "request.invalid", "detail": "the evidence request is invalid", "request_id": "01J00000000000000000000000", "status": 400, "title": "Invalid evidence request", "type": "https://id.registrystack.org/problems/registry-notary/request/invalid"}